#include "../C-Engine/CEngine/Object.hpp"
#include "../C-Engine/CEngine/Engine.hpp"
#include "../C-Engine/CEngine/Script.hpp"

#include "../C-Engine/CPhysics/Transforms.hpp"
#include "../C-Engine/CPhysics/Rigibodys.hpp"

#include "../C-Engine/CRendering/Render.hpp"
#include "../C-Engine/CRendering/Animation.hpp"
#include "../C-Engine/CRendering/Sprite.hpp"
#include "../C-Engine/CRendering/TilesMapping.hpp"

extern "C"
{
#include <fxlib.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "../C-Engine/CExtraLib/input.h"
#include "../C-Engine/CExtraLib/MonochromeLib.h"
#include "../C-Engine/CExtraLib/FonctionC.h"
}


Transforms::Transforms(Object * Pointeur)
{
    Conteneur = Pointeur;
    this->positionabsolu.x = 0;
    this->positionabsolu.y = 0;

    this->positionrelative.x = 0;
    this->positionrelative.y = 0;

     this->positionreel.x = 0;
     this->positionreel.y = 0;
}

Vec2 Transforms::GetPosition()
{
    return this->positionabsolu;
}

double Transforms::GetX()
{
    return this->positionabsolu.x;
}

double Transforms::GetY()
{
    return this->positionabsolu.y;
}

double Transforms::GetReelX()
{
    return this->positionreel.x;
}

double Transforms::GetReelY()
{
    return this->positionreel.y;
}

double Transforms::GetRelativeX()
{
    return this->positionrelative.x;
}

double Transforms::GetRelativeY()
{
    return this->positionrelative.y;
}

void Transforms::SetX(double v)
{
    this->positionabsolu.x = v;
}

void Transforms::SetY(double v)
{
    this->positionabsolu.y = v;
}

void Transforms::SetXY(double vx ,double vy)
{
this->positionabsolu.x = vx;
this->positionabsolu.y = vy;
}

void Transforms::SetRelativeXY(double vx , double vy)
{
this->positionrelative.x = vx;
this->positionrelative.y = vy;
}

void Transforms::SetReelXY(double vx , double vy)
{
this->positionreel.x = vx;
this->positionreel.y = vy;
}
